# log4cplus::thread::Guard Class Reference

This is used to lock a mutex. More...

`#include <threads.h>`

List of all members.

## Public Member Functions

| Guard (LOG4CPLUS_MUTEX_PTR_DECLARE mutex)
| "locks" `mutex`.
| ~Guard ()
| "unlocks" `mutex`.

## Detailed Description

This is used to lock a mutex.

The dtor unlocks the mutex.

Definition at line 32 of file threads.h.

## Constructor & Destructor Documentation

log4cplus::thread::Guard::Guard | ( | LOG4CPLUS_MUTEX_PTR_DECLARE | mutex | ) | `[inline]`

| "locks" `mutex`. Definition at line 35 of file threads.h.

log4cplus::thread::Guard::~Guard | ( |  | ) | `[inline]`

| "unlocks" `mutex`. Definition at line 41 of file threads.h.

The documentation for this class was generated from the following file:

- threads.h